<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    date_default_timezone_set('America/Sao_Paulo');
    $hora = date('Y-m-d H:i:s', time());
    $user = $_SESSION['usuarioLogin'];
    $cod_m = $_POST['cod_m'];
    $unidade = $_POST['unidade'];
    $modelo = $_POST['modelo'];
    $nserie = $_POST['nserie'];
    $daquise = $_POST['daquise'];
    $daquise = date('Y-m-d', strtotime(str_replace('/','-',$daquise)));
    $garantia = $_POST['garantia'];
    $garantia = date('Y-m-d', strtotime(str_replace('/','-',$garantia)));
    $loja = $_POST['loja'];
    $nnota = $_POST['nnota'];
    $valor = $_POST['valor'];
    $valor_ = str_replace(',','.',str_replace('.','',$valor));
    $nptri = $_POST['nptri'];
    $desc_tex_area = $_POST['desc_tex_area'];
    $ativo = $_POST['ativo'];
    $ativo = (isset($_POST['ativo'])) ? 1 : 0;
    $_UP['pasta'] = '../up_n_mon/';
    $_UP['tamanho'] = 5242880;
    $_UP['extensoes'] = array('pdf');
    $_UP['renomeia'] = false;
    $_UP['erros'][0] = 'Não houve erro';
    $_UP['erros'][1] = 'O arquivo no upload é maior do que o limite do PHP';
    $_UP['erros'][2] = 'O arquivo ultrapassa o limite de tamanho especifiado no HTML';
    $_UP['erros'][3] = 'O upload do arquivo foi feito parcialmente';
    $_UP['erros'][4] = 'Não foi feito o upload do arquivo';
    $busca_select=$pdo_sgt->prepare("SELECT * FROM tb_monitores WHERE cod_m=:cod_m");
    $busca_select->bindValue(":cod_m",$cod_m);
    $busca_select->execute();
    $dados_select=$busca_select->fetch(PDO::FETCH_ASSOC);
    $logarray = $dados_select['cod_m'];
    if($logarray == $cod_m){
        echo"<script language='javascript' type='text/javascript'>
            alert('Esse Cód. já existe!');
            window.history.go(-1)>Volta;
        </script>";
        die();
    }
    else{
        $pdf_nome = $_FILES['arquivo']['name'];
        $pdf_separador = explode('.',$pdf_nome);
        $extensao = strtolower(end($pdf_separador));
        if ($pdf_nome != ""){
            if (array_search($extensao, $_UP['extensoes']) === false) {
                echo"<script language='javascript' type='text/javascript'>
                    alert('Por favor, envie arquivo com a seguinte extensão: pdf!');
                    window.history.go(-1)>Volta;
                </script>";
            } else {
                if ($_UP['tamanho'] < $_FILES['arquivo']['size']) {
                    echo"<script language='javascript' type='text/javascript'>
                        alert('O arquivo enviado é muito grande, envie arquivos de até 5MB!');
                        window.history.go(-1)>Volta;
                    </script>";
                } else {
                    $nome_final = $cod_m.'.'.$extensao;
                    if (move_uploaded_file($_FILES['arquivo']['tmp_name'], $_UP['pasta'] . $nome_final)) {
                      $f_url = 'up_n_mon/'.$nome_final;
                    } else {
                      echo "Não foi possível enviar o arquivo, tente novamente!";
                    }
                    $query = "INSERT
                        INTO tb_monitores (cod_m,unidade,modelo,nserie,daquise,garantia,loja,nnota,valor,nptri,desc_mon,ativo,f_url)
                        VALUES (:cod_m,:unidade,:modelo,:nserie,:daquise,:garantia,:loja,:nnota,:valor,:nptri,:desc_tex_area,:ativo,:f_url)";
                    $query=$pdo_sgt->prepare("$query");
                    $query->bindValue(":cod_m",$cod_m);
                    $query->bindValue(":unidade",$unidade);
                    $query->bindValue(":modelo",$modelo);
                    $query->bindValue(":nserie",$nserie);
                    $query->bindValue(":daquise",$daquise);
                    $query->bindValue(":garantia",$garantia);
                    $query->bindValue(":loja",$loja);
                    $query->bindValue(":nnota",$nnota);
                    $query->bindValue(":valor",$valor);
                    $query->bindValue(":nptri",$nptri);
                    $query->bindValue(":desc_tex_area",$desc_tex_area);
                    $query->bindValue(":ativo",$ativo);
                    $query->bindValue(":f_url",$f_url);
                    $query->execute();
                    $mensagem =  "Dados inseridos na tabela: tb_monitores - "
                        . "Para os campos: cod_m, unidade, modelo, nserie, daquise, garantia, loja, nnota, valor, nptri, desc_mon, ativo, f_url - "
                        . "Com os seguintes valores: $cod_m, $unidade, $modelo, $nserie, $daquise, $garantia, $loja, $nnota, $valor_, $nptri, $desc_tex_area, $ativo, $f_url";
                    salvaLog($mensagem);
                    $busca_id = $pdo_sgt->prepare("SELECT * FROM tb_monitores WHERE cod_m=:cod_m");
                    $busca_id->bindValue(":cod_m",$cod_m);
                    $busca_id->execute();
                    $dados_id = $busca_id->fetch(PDO::FETCH_ASSOC);
                    $id_m = $dados_id['id'];
                    $des_oc = "Inserido no sistema.";
                    $query_oc = "INSERT INTO tb_oc_mon (dt,user_nome,cod_m,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
                    $oc_comp_set = $pdo_sgt->prepare($query_oc);
                    $oc_comp_set->bindValue(":hora",$hora);
                    $oc_comp_set->bindValue(":user",$user);
                    $oc_comp_set->bindValue(":id",$id_m);
                    $oc_comp_set->bindValue(":tipo",'4');
                    $oc_comp_set->bindValue(":des_oc",$des_oc);
                    $oc_comp_set->execute();
                    echo"<script language='javascript' type='text/javascript'>
                        window.location.href='list_mon.php';
                    </script>";
                }
            }
        } else {
            $query = "INSERT
                INTO tb_monitores (cod_m,unidade,modelo,nserie,daquise,garantia,loja,nnota,valor,nptri,desc_mon,ativo)
                VALUES (:cod_m,:unidade,:modelo,:nserie,:daquise,:garantia,:loja,:nnota,:valor,:nptri,:desc_tex_area,:ativo)";
            $query=$pdo_sgt->prepare("$query");
            $query->bindValue(":cod_m",$cod_m);
            $query->bindValue(":unidade",$unidade);
            $query->bindValue(":modelo",$modelo);
            $query->bindValue(":nserie",$nserie);
            $query->bindValue(":daquise",$daquise);
            $query->bindValue(":garantia",$garantia);
            $query->bindValue(":loja",$loja);
            $query->bindValue(":nnota",$nnota);
            $query->bindValue(":valor",$valor);
            $query->bindValue(":nptri",$nptri);
            $query->bindValue(":desc_tex_area",$desc_tex_area);
            $query->bindValue(":ativo",$ativo);
            $query->execute();
            $mensagem =  "Dados inseridos na tabela: tb_monitores - "
                . "Para os campos: cod_m, unidade, modelo, nserie, daquise, garantia, loja, nnota, valor, nptri, desc_mon, ativo - "
                . "Com os seguintes valores: $cod_m, $unidade, $modelo, $nserie, $daquise, $garantia, $loja, $nnota, $valor_, $nptri, $desc_tex_area, $ativo";
            salvaLog($mensagem);
            $busca_id = $pdo_sgt->prepare("SELECT * FROM tb_monitores WHERE cod_m=:cod_m");
            $busca_id->bindValue(":cod_m",$cod_m);
            $busca_id->execute();
            $dados_id = $busca_id->fetch(PDO::FETCH_ASSOC);
            $id_m = $dados_id['id'];
            $des_oc = "Inserido no sistema.";
            $query_oc = "INSERT INTO tb_oc_mon (dt,user_nome,cod_m,tipo,des) VALUES (:hora, :user, :id, :tipo, :des_oc)";
            $oc_comp_set = $pdo_sgt->prepare($query_oc);
            $oc_comp_set->bindValue(":hora",$hora);
            $oc_comp_set->bindValue(":user",$user);
            $oc_comp_set->bindValue(":id",$id_m);
            $oc_comp_set->bindValue(":tipo",'4');
            $oc_comp_set->bindValue(":des_oc",$des_oc);
            $oc_comp_set->execute();
            echo"<script language='javascript' type='text/javascript'>
                window.location.href='list_mon.php';
            </script>";
        }
    }
?>